package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/10/24
 */
public class CourseAttendanceDetailHeadInfoDto {

    @ApiModelProperty(value = "课程编号")
    private Long courseScheduleId;

    @ApiModelProperty(value = "班级编号")
    private Long classGroupId;

    @ApiModelProperty(value = "班级名称")
    private String classGroupName;

    @ApiModelProperty(value = "主教教师编号")
    private Integer teacherId;

    @ApiModelProperty(value = "主教名称")
    private String teacherName;

    @ApiModelProperty(value = "上课日期")
    private Date classDate;

    @ApiModelProperty(value = "上课日期")
    private Date startClassTime;

    @ApiModelProperty(value = "结束日期")
    private Date endClassTime;

    @ApiModelProperty(value = "最后点名时间")
    private Date latestAttendanceTime;

    @ApiModelProperty(value = "到课学生数量")
    private Integer studentNum;

    @ApiModelProperty(value = "学生总数")
    private Integer totalStudentNum;

    @ApiModelProperty(value = "请假人数")
    private Integer leaveStudentNum;

    public Integer getTotalStudentNum() {
        return totalStudentNum;
    }

    public void setTotalStudentNum(Integer totalStudentNum) {
        this.totalStudentNum = totalStudentNum;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Long getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Long classGroupId) {
        this.classGroupId = classGroupId;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public Date getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(Date startClassTime) {
        this.startClassTime = startClassTime;
    }

    public Date getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(Date endClassTime) {
        this.endClassTime = endClassTime;
    }

    public Date getLatestAttendanceTime() {
        return latestAttendanceTime;
    }

    public void setLatestAttendanceTime(Date latestAttendanceTime) {
        this.latestAttendanceTime = latestAttendanceTime;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public Integer getLeaveStudentNum() {
        return leaveStudentNum;
    }

    public void setLeaveStudentNum(Integer leaveStudentNum) {
        this.leaveStudentNum = leaveStudentNum;
    }
}
